#!/bin/sh

# This script is run from the temporary directory that the upgrade is
# extracted to - BEFORE the upgrade is applied
echo "Running full upgrade pre install"

# ensure the space and hiwrite directories are there
if [ ! -d /space ]
 then
  echo "Creating space directory"
	mkdir -p /space
fi

if [ ! -d /hiwrite ]
 then
  echo "Creating hiwrite directory"
	mkdir -p /hiwrite
fi

# now check that they are mounted to the correct partitions
# if this fails either we cannot mount or it is already mounted
# either way we just have to continue
echo "Attempting to mount partitions"
mount -t jffs2 /dev/mtdblock9 /space
mount -t jffs2 /dev/mtdblock7 /hiwrite

exit 0
